## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global appname Komikku
%global uuid    info.febvre.%{appname}
%global gtk4_version        4.12.1
%global libadwaita_version  1.4.0
%global forgeurl https://gitlab.com/valos/%{appname}
%global tag v%{version}

Name:           komikku
Version:        1.31.0
%forgemeta
Release:        %autorelease
Summary:        A manga reader for GNOME

BuildArch:      noarch

License:        GPL-3.0-or-later
URL:            https://valos.gitlab.io/Komikku
Source0:        %{forgesource}

BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  libappstream-glib
BuildRequires:  meson >= 0.59.0
BuildRequires:  python3-devel >= 3.8
BuildRequires:  blueprint-compiler

# blueprint-compiler does not work on s390x:
# https://gitlab.gnome.org/jwestman/blueprint-compiler/-/issues/96
#
# Note: That's temporary, as a fix has recently been found.
ExcludeArch:    s390x

BuildRequires:  pkgconfig(gobject-introspection-1.0) >= 1.35.9
BuildRequires:  pkgconfig(gtk4) >= %{gtk4_version}
BuildRequires:  pkgconfig(libadwaita-1) >= %{libadwaita_version}

Requires:       hicolor-icon-theme
Requires:       gtk4 >= %{gtk4_version}
Requires:       libadwaita >= %{libadwaita_version}
Requires:       libnotify
Requires:       webkitgtk6.0
Requires:       python3-beautifulsoup4
Requires:       python3-brotli
Requires:       python3-dateparser  %dnl >= 1.1.4 | https://bugzilla.redhat.com/show_bug.cgi?id=2115204
Requires:       python3-emoji
Requires:       python3-gobject
Requires:       python3-keyring >= 21.6.0
Requires:       python3-lxml
Requires:       python3-natsort
# The conflict between python-magic and python-file-magic should be brought to
# FESCO.
Requires:       python3dist(file-magic)
Requires:       python3-piexif
Requires:       python3-pillow
Requires:       python3-pure-protobuf
Requires:       python3-rarfile
Requires:       python3-requests
Requires:       python3-unidecode

%description
Komikku is a manga reader for GNOME. It focuses on providing a clean, intuitive
and adaptive interface.

Keys features

* Online reading from dozens of servers
* Offline reading of downloaded comics
* Categories to organize your library
* RTL, LTR, Vertical and Webtoon reading modes
* Several types of navigation:
  * Keyboard arrow keys
  * Right and left navigation layout via mouse click or tapping
    (touchpad/touch screen)
  * Mouse wheel
  * 2-fingers swipe gesture (touchpad)
  * Swipe gesture (touch screen)
* Automatic update of comics
* Automatic download of new chapters
* Reading history
* Light and dark themes

%prep
%forgeautosetup -p1


%build
%meson
%meson_build


%install
%meson_install
%find_lang %{name}


%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop


%files -f %{name}.lang
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/icons/hicolor/scalable/*/*.svg
%{_datadir}/icons/hicolor/symbolic/*/*.svg
%{_metainfodir}/*.xml
%{python3_sitelib}/%{name}/


%changelog
* Wed Dec 06 2023 Packit <hello@packit.dev> - 1.31.0-1
- [packit] 1.31.0 upstream release
- Resolves rhbz#2252427

* Fri Dec 01 2023 Packit <hello@packit.dev> - 1.30.1-1
- [packit] 1.30.1 upstream release
- Resolves rhbz#2252427

* Fri Dec 01 2023 Packit <hello@packit.dev> - 1.30.0-1
- [packit] 1.30.0 upstream release
- Resolves rhbz#2252415

* Sat Nov 25 2023 Packit <hello@packit.dev> - 1.29.0-1
- [packit] 1.29.0 upstream release
- Resolves rhbz#2251439

* Mon Nov 13 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 1.28.0-2
- packit: Update config

* Mon Nov 13 2023 Packit <hello@packit.dev> - 1.28.0-1
- [packit] 1.28.0 upstream release
- Resolves rhbz#2249478

* Sun Oct 22 2023 Packit <hello@packit.dev> - 1.27.1-1
- [packit] 1.27.1 upstream release
- Resolves rhbz#2243755 Upstream tag: v1.27.1 Upstream commit: 0a306883

* Sun Oct 15 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 1.27.0-1
- [packit] 1.27.0 upstream release

* Sun Oct 15 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 1.26.0-4
- build: Add Packit config

* Sun Oct 15 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 1.26.0-3
- build: Use forge macros

* Fri Oct 13 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 1.26.0-2
- license: Convert to SPDX

* Wed Sep 27 2023 Lyes Saadi <lyessaadi@fedoraproject.org> - 1.26.0-1
- Updating to 1.26.0

* Tue Sep 26 2023 Lyes Saadi <lyessaadi@fedoraproject.org> - 1.25.1-1
- Updating to 1.25.1

* Tue Sep 26 2023 Lyes Saadi <lyessaadi@fedoraproject.org> - 1.24.2-1
- Updating to 1.24.2

* Wed Aug 16 2023 Lyes Saadi <lyessaadi@fedoraproject.org> - 1.23.0-1
- Updating to 1.23.0

* Mon Jun 26 2023 Python Maint <python-maint@redhat.com> - 1.22.0-2
- Rebuilt for Python 3.12

* Mon Jun 19 2023 Lyes Saadi <lyessaadi@fedoraproject.org> - 1.22.0-1
- Updating to 1.22.0

* Thu Jun 15 2023 Python Maint <python-maint@redhat.com> - 1.21.1-2
- Rebuilt for Python 3.12

* Thu May 18 2023 Lyes Saadi <lyessaadi@fedoraproject.org> - 1.21.1-1
- Updating to 1.21.1

* Sun Apr 30 2023 Lyes Saadi <lyessaadi@fedoraproject.org> - 1.20.0-1
- Updating to 1.20.0

* Fri Apr 21 2023 Lyes Saadi <lyessaadi@fedoraproject.org> - 1.19.0-1
- Updating to 1.19.0

* Tue Apr 11 2023 Lyes Saadi <lyessaadi@fedoraproject.org> - 1.18.0-1
- Updating to 1.18.0

* Sat Apr 01 2023 Lyes Saadi <lyessaadi@fedoraproject.org> - 1.17.1-1
- Updating to 1.17.1

* Sat Mar 11 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 1.14.0-1
- chore: Update to 1.14.0

* Fri Mar 03 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 1.13.0-1
- chore: Update to 1.13.0

* Tue Feb 21 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 1.12.1-1
- chore: Update to 1.12.1

* Sat Feb 18 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 1.12.0-1
- chore: Update to 1.12.0

* Thu Feb 09 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 1.11.1-1
- chore: Update to 1.11.1

* Wed Feb 08 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 1.11.0-1
- chore: Update to 1.11.0

* Fri Jan 27 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 1.10.1-1
- chore: Update to 1.10.1

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jan 18 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 1.9.0-1
- chore: Fix previous commit

* Wed Jan 18 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 1.8.0-3
- chore: Update to 1.9.0

* Tue Jan 10 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 1.8.0-2
- chore: Add sources

* Tue Jan 10 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 1.8.0-1
- chore: Update to 1.8.0

* Thu Dec 15 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1.6.1-1
- chore: Update to 1.6.1 build: Try with old python3-dateparser available
  in Fedora repos

* Wed Dec 14 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1.6.0-1
- Updating to 1.6.0

* Tue Dec 06 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1.5.0-2
- build: Requires: python3-emoji (#2151055)

* Sun Nov 27 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1.5.0-1
- Updating to 1.5.0

* Mon Nov 14 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1.4.1-1
- Updating to 1.4.1

* Wed Nov 09 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1.4.0-1
- Updating to 1.4.0

* Sat Nov 05 2022 Lyes Saadi <lyessaadi@fedoraproject.org> - 1.3.0-1
- Upgrading to 1.3.0

* Wed Oct 26 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1.2.0-1
- Updating to 1.2.0

* Thu Oct 06 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1.1.0-1
- Updating to 1.1.0

* Sun Sep 25 2022 Lyes Saadi <lyessaadi@fedoraproject.org> - 1.0.0-2
- Requires libhandy -> libadwaita

* Sun Sep 25 2022 Lyes Saadi <lyessaadi@fedoraproject.org> - 1.0.0-1
- Updating to 1.0.0

* Sun Sep 25 2022 Lyes Saadi <lyessaadi@fedoraproject.org> - 0.41.0-1
- Updating to 0.41.0

* Mon Jul 25 2022 Lyes Saadi <mail@lyes.eu> - 0.40.0-1
- Updating to 0.40.0

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.39.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.39.0-3
- Rebuilt for Python 3.11

* Wed Jun 01 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.39.0-1
- Updating to 0.39.0

* Tue Apr 19 2022 Lyes Saadi <fedora@lyes.eu> - 0.38.0-1
- Updating to 0.38.0

* Tue Mar 01 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.37.0-1
- chore(update): 0.37.0

* Fri Jan 21 2022 Lyes Saadi <fedora@lyes.eu> - 0.36.1-1
- Updating to 0.36.1

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.36.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Dec 24 2021 Lyes Saadi <fedora@lyes.eu> - 0.36.0-1
- Updating to 0.36.0
- Using libhandy >= 1.5.0 (stuck in f36+)
- Happy holidays :)

* Sat Oct 30 2021 Lyes Saadi <fedora@lyes.eu> - 0.35.2-1
- Updating to 0.35.2

* Thu Oct 14 2021 Lyes Saadi <fedora@lyes.eu> - 0.35.1-1
- Updating to 0.35.1

* Wed Oct 13 2021 Lyes Saadi <fedora@lyes.eu> - 0.35.0-1
- Updating to 0.35.0

* Sat Oct 02 2021 Lyes Saadi <fedora@lyes.eu> - 0.34.1-1
- Updating to 0.34.1

* Thu Sep 30 2021 Lyes Saadi <fedora@lyes.eu> - 0.34.0-1
- Updating to 0.34.0

* Thu Sep 23 2021 Lyes Saadi <fedora@lyes.eu> - 0.33.1-1
- Updating to 0.33.1

* Wed Sep 22 2021 Lyes Saadi <fedora@lyes.eu> - 0.33.0-1
- Updating to 0.33.0

* Fri Sep 17 2021 Lyes Saadi <fedora@lyes.eu> - 0.32.0-1
- Updating to 0.32.0

* Sun Sep 12 2021 Lyes Saadi <fedora@lyes.eu> - 0.31.0-1
- Updating to 0.31.0

* Wed Aug 04 2021 Lyes Saadi <fedora@lyes.eu> - 0.30.0-1
- Updating to 0.30.0

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.29.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Jun 21 2021 Lyes Saadi <fedora@lyes.eu> - 0.29.2-1
- Updating to 0.29.2

* Wed Jun 09 2021 Lyes Saadi <fedora@lyes.eu> - 0.29.1-3
- Rebuilding for Rawhide?

* Sun Jun 06 2021 Lyes Saadi <fedora@lyes.eu> - 0.29.1-2
- Rebuilt for Python 3.10 (for 0.29.1)

* Sun Jun 06 2021 Lyes Saadi <fedora@lyes.eu> - 0.29.1-1
- Updating to 0.29.1

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.29.0-2
- Rebuilt for Python 3.10

* Thu Jun 03 2021 Lyes Saadi <fedora@lyes.eu> - 0.29.0-1
- Updating to 0.29.0

* Sat May 15 2021 Lyes Saadi <fedora@lyes.eu> - 0.28.1-1
- Updating to 0.28.1

* Thu Mar 18 2021 Lyes Saadi <fedora@lyes.eu> - 0.27.0-1
- Updating to 0.27.0

* Wed Feb 10 2021 Lyes Saadi <fedora@lyes.eu> - 0.26.1-1
- Updating to 0.26.1

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.25.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jan 20 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.25.1-1
- build(update): 0.25.1

* Sun Dec 20 2020 Lyes Saadi <fedora@lyes.eu> - 0.24.0-1
- Updating to 0.24.0
- Removing the cloudscraper dependency

* Fri Nov 20 2020 Lyes Saadi <fedora@lyes.eu> - 0.23.0-1
- Updating to 0.23.0

* Wed Nov 18 2020 Lyes Saadi <fedora@lyes.eu> - 0.22.1-1
- Updating to 0.22.1

* Sun Nov 15 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.22.0-1
- build(update): 0.22.0

* Mon Oct 12 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.21.1-1
- build(update): 0.21.1

* Tue Sep 15 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.20.0-1
- Update to 0.20.0

* Sat Aug 08 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.19.0-1
- Update to 0.19.0

* Wed Jul 29 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.18.0-2
- Add new dep: python3-keyring

* Wed Jul 29 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.18.0-1
- Update to 0.18.0

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat May 30 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.17.0-2
- Add explicitly dep: libhandy1

* Fri May 29 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.17.0-1
- Update to 0.17.0
- Build with system libhandy-1

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 0.16.0-2
- Rebuilt for Python 3.9

* Sun May 24 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.16.0-1
- Update to 0.16.0
- Bundle libhandy-1

* Fri Apr 24 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.15.0-1
- Update to 0.15.0

* Tue Apr 14 2020 Lyes Saadi <fedora@lyes.eu> - 0.14.0-3
- Compatibility with python3-file-magic

* Thu Apr 02 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.14.0-2
- Specify required version of 'python3-magic' | RHBZ#1790100#c9

* Thu Apr 02 2020 Lyes Saadi <fedora@lyes.eu> - 0.14.0-1
- Update to 0.14.0

* Sun Mar 29 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.13.0-1
- Update to 0.13.0

* Fri Feb 21 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.11.1-1
- Initial package

